#
# spec file for package python-pytest-rerunfailures
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pytest-rerunfailures
Version:        9.1.1
Release:        150000.3.3.1
Summary:        A pytest plugin to re-run tests
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-rerunfailures
Source:         https://files.pythonhosted.org/packages/source/p/pytest-rerunfailures/pytest-rerunfailures-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 40.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 5.0
Requires:       python-setuptools >= 40.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 5.0}
# /SECTION
%python_subpackages

%description
The pytest-rerunfailures package is a plugin for py.test that re-runs
tests to eliminate intermittent failures.

%prep
%setup -q -n pytest-rerunfailures-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/pytest_rerunfailures.py*
%pycache_only %{python_sitelib}/__pycache__/pytest_rerunfailures*
%{python_sitelib}/pytest_rerunfailures-%{version}*-info

%changelog
* Mon Mar 14 2022 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1195916, bsc#1196696, jsc#PM-3356, jsc#SLE-23972)
* Sat Nov  7 2020 code@bnavigator.de
- Update to 9.1.1
  Compatibility fix.
  * Ignore --result-log command line option when used together with
    pytest >= 6.1.0, as it was removed there. This is a quick fix,
    use an older version of pytest, if you want to keep this
    feature for now. (Thanks to @ntessore for the PR)
  * Support up to pytest 6.1.0.
- Changelog for 9.1
  Features
  * Add a new flag --only-rerun to allow for users to rerun only
    certain errors.
  Other changes
  * Drop dependency on mock.
  * Add support for pre-commit and add a linting tox target. (#117)
    (PR from @gnikonorov)
* Mon Mar 23 2020 tchvatal@suse.com
- Update to 9.0:
  * Add support for pytest 5.4.
  * Add support for Python 3.8.
  * Drop support for python 2.7
* Wed Dec  4 2019 tchvatal@suse.com
- Update to 8.0:
  * Explicitly depend on setuptools to ensure installation when
    working in environments without it
* Thu Mar 28 2019 tchvatal@suse.com
- Update to 7.0:
  * Drop support for pytest version 3.8 and 3.9.
  * Add support for pytest version 4.2 and 4.3.
  * Fixed #83 issue about ignored pytest_runtest_logfinish hooks
* Fri Feb 15 2019 tchvatal@suse.com
- Enable tests really
- Update to 6.0:
  * Drop support for pytest version 3.6 and 3.7.
  * Add support for pytest version 4.0 and 4.1.
  * Fixed #77 regression issue introduced in 4.2 related to the rerun attribute on the test report. (#77) (Thanks to @RibeiroAna for the PR).
* Thu Nov 15 2018 toddrme2178@gmail.com
- Initial version
